Tunploy
APIReferenceDevices

Get a device's usage

GET/devices/{id}/usage

Needs the devices:read scope.

Authorization

apiKey
AuthorizationBearer <token>

An API key: tp_….

In: header

Path Parameters

id*integer

Device ID.

Range1 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/devices/1/usage"
{  "month_usage": {    "rx_bytes": 0,    "tx_bytes": 0,    "total_bytes": 0  },  "period_usage": {    "rx_bytes": 0,    "tx_bytes": 0,    "total_bytes": 0  },  "data_limit": 0,  "limit_period": "monthly",  "usage_reset_at": "2019-08-24T14:15:22Z",  "daily": [    {      "start": "2019-08-24",      "rx_bytes": 0,      "tx_bytes": 0    }  ],  "monthly": [    {      "start": "2019-08-24",      "rx_bytes": 0,      "tx_bytes": 0    }  ]}